Package: groovy.json

## [Java] Interface JsonParser

-     public interface JsonParser

  This is the parser interface that backs the new JsonSlurper. It was derived from the Boon JSON parser.

  Since:
    2.3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `parse(String jsonString)`
    `` | `public Object` | `parse(byte[] bytes)`
    `` | `public Object` | `parse(byte[] bytes, String charset)`
    `` | `public Object` | `parse(CharSequence charSequence)`
    `` | `public Object` | `parse(char[] chars)`
    `` | `public Object` | `parse(Reader reader)`
    `` | `public Object` | `parse(InputStream input)`
    `` | `public Object` | `parse(InputStream input, String charset)`
    `` | `public Object` | `parse(File file, String charset)`

- - ### Method Detail

    - #### public Object parse(String jsonString)

    - #### public Object parse(byte[] bytes)

    - #### public Object parse(byte[] bytes, String charset)

    - #### public Object parse(CharSequence charSequence)

    - #### public Object parse(char[] chars)

    - #### public Object parse(Reader reader)

    - #### public Object parse(InputStream input)

    - #### public Object parse(InputStream input, String charset)

    - #### public Object parse(File file, String charset)